package com.kfb.kfbv1.model;

import android.os.Handler;
import android.os.Message;
import android.view.View;
import android.widget.TextView;

import com.kfb.kfbv1.R;

public class KfbTask  implements Runnable {
    @Override
    public void run() {
        Handler handler = KfbModel.getData().handler;
        KfbHttpRequest HttpKfb = new KfbHttpRequest();
        HttpKfb.getTest(KfbModel.getData().url);
        if(KfbModel.getData().tekser!=null)
        {
            KfbParser p = new KfbParser();
           // if(KfbModel.getData().error==false) {
          //      p.dataParser(KfbModel.getData().tekser, KfbModel.getData().getGates().getmGate().get(0));
          //  }
            Message msg = handler.obtainMessage();
            msg.what = 1;
            msg.obj = "tekst";
            msg.arg1 = 1;
            handler.sendMessage(msg);
        }


        while(KfbModel.getData().sendHttp==true)
        {
            KfbParser p = new KfbParser();
            for (int i = 0 ;i<KfbModel.getData().getGates().getmSize();i++)
            {
                HttpKfb.getRequest(KfbModel.getData().getGates().getmGate().get(i));
                if(KfbModel.getData().error==false) {
                    p.dataParser(KfbModel.getData().tekser, KfbModel.getData().getGates().getmGate().get(i));
                    Message msg = handler.obtainMessage();
                    msg.what = 2;
                    msg.obj = "Pomiar";
                    msg.arg1 = i;
                    handler.sendMessage(msg);
                }
                else
                {
                    KfbModel.getData().getGates().getmGate().get(i).setmError("ERROR");
                    Message msg = handler.obtainMessage();
                    msg.what = 2;
                    msg.obj = "Pomiar";
                    msg.arg1 = i;
                    handler.sendMessage(msg);
                }
            }
            try {
                Thread.sleep(250);
            } catch (InterruptedException e) {
                e.printStackTrace();
            }
        }
    }
}
